<shader>
	<implement name="gl2x">
		<vertex>
<![CDATA[
attribute vec4 i_vertex;
attribute vec4 i_color;

varying MCD_LOWP vec4 v_color;

uniform mat4 u_worldViewProjMtx;

void main() {
	gl_Position = u_worldViewProjMtx * i_vertex;
	v_color = i_color;
}

]]>
		</vertex>
		<fragment>
<![CDATA[
varying MCD_LOWP vec4 v_color;

void main() {
	gl_FragColor = v_color;
}

]]>
		</fragment>
	</implement>
	<implement name="gles2">
		<vertex>
<![CDATA[
attribute vec4 i_vertex;
attribute vec4 i_color;

varying MCD_LOWP vec4 v_color;

uniform mat4 u_worldViewProjMtx;

void main() {
	gl_Position = u_worldViewProjMtx * i_vertex;
	v_color = i_color;
}

]]>
		</vertex>
		<fragment>
<![CDATA[
precision lowp float;

varying MCD_LOWP vec4 v_color;

void main() {
	gl_FragColor = v_color;
}

]]>
		</fragment>
	</implement>
</shader>